LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
LayerFilter Service Referencepublished

provides a filtered version of a configuration data Layer. More...

`import <LayerFilter.idl;`

Inheritance diagram for LayerFilter:

## Exported Interfaces
interface | XLayer
| provides read access to the filtered contents.
interface | com::sun::star::lang::XInitialization
| provides a means to set the source data for the filter.

## Additional Inherited Members
Public Member Functions inherited from XLayer
void | readData ([in] XLayerHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Detailed Description

provides a filtered version of a configuration data Layer.

A layer filter wraps a source XLayer object and provides access to a filtered version of its data. The data read from the filter usually is produced from the source data by adding and removing elements or modifying values.

See also
  com::sun::star::configuration::backend::DataImporter Service that supports applying a LayerFilter to imported data.

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

provides a means to set the source data for the filter.

Call com::sun::star::lang::XInitialization::initialize()() with a single argument of type com::sun::star::beans::NamedValue, where com::sun::star::beans::NamedValue::Name is `"Source"` and com::sun::star::beans::NamedValue::Value is an object implementing XLayer.

## ◆ XLayer

interface XLayer

provides read access to the filtered contents.

Method XLayer::readData() will render a filtered version of the data produced by the same method of the source object.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/LayerFilter.idl